<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Homework</title>
    <style>
        .error{
            border: solid 1px red;
        }

    </style>
</head>
<body>
      <div id="app">
        <div>
          <input id="mainInput" placeholder="Введите текст сюда"/>
          <div id="mainInputCount"></div>
        </div>

        <div>
          <button id="unlock" disabled>Разблокировать и очистить</button>
          <button id="save" type="submit">Сохранить данные</button>
        </div>

      </div>
      <script>
        /*
          Задание:
          На повториние материала по EventListeners

          Нунжо повесить 3 обработчика
          1. На mainInput на событие input/change - проверка длинны введенного текста.

          Если длина меньше 30 символов, вешать класс valid. При этом на кнопке
          save должен висеть обработчик который иммитирует созранение данных. (см. пункт 3.)

          Если длинна больше 30 символов то вешать на инпут класс с ошибкой error
          который будет выделять элемент красной обводкой.

          Если длинна начинает превышать 40 символов, вешать на инпут
          аттрибут disabled, а на кнопку unlock обработчик разблокировки и
          убирать атрибут dissabled (см. пункт 2.)

          Бонусы:
            + По мере ввода считать количество символов и выводить в блок mainInputCount

          2. На unlock повесить обработчик click, который очищает инпут и убирает с него
          атрибут disabled. Так же снимает с себя обработчик который появился при
          превышении лимита 40 символов. Кнопка делает себя неактивной после нажатия.

          3. На save повесить обработчик click который получает данные с mainInput
          и выводит их в коносольку.
          Если длинна больше не обходимого, то обработчик отправки убирается и на
          кнопку вешается атрибут disabled.
        */

        let mainInput = document.getElementById("mainInput");
        let save = document.getElementById("save");
        let unlock = document.getElementById("unlock");
        let mainInputCount = document.getElementById("mainInputCount");

        mainInput.addEventListener("input", function(){
            // console.log(mainInput.value.length);
            var lengthInput = mainInput.value.length;
            mainInputCount.innerHTML = `Вы ввели ${mainInput.value.length} символов.`;
            if(lengthInput <= 30){
                mainInput.classList.add("valid");


            }else if (lengthInput > 30 && lengthInput <= 40){
                mainInput.classList.add("error");
                save.setAttribute("disabled", true);
                unlock.removeAttribute("disabled");
            }else if (lengthInput > 40){
                mainInput.setAttribute("disabled", true);
            }
        })

save.addEventListener("click", saveButton);
unlock.addEventListener("click", clickButton);
        function saveButton (){
            let dataMainIpt = mainInput.value;
            unlock.removeAttribute("disabled");
            save.setAttribute("disabled", true);
            if (mainInput.value.length > 30){
                save.setAttribute("disabled", true);
            }else{
                console.log(dataMainIpt);
                console.log(mainInput.value.length);
            }
        }

        function clickButton(){
            mainInput.value = "";
            unlock.setAttribute("disabled", true);
            mainInput.removeAttribute("disabled");
            save.removeAttribute("disabled");
            mainInputCount.innerHTML ="";
            mainInput.classList.remove("error");
            // save.removeEventListener("click",saveButton );
        }
      </script>
</body>
</html>
